<?php

	global $wpdb;

	$table_name  =  $wpdb->prefix . "juna_it_gallery_manager";
	$table_name1 =  $wpdb->prefix . "juna_it_video_manager";
	$table_name2 =  $wpdb->prefix . "juna_it_video_effect1";
	$table_name3 =  $wpdb->prefix . "juna_it_font_family";
	$table_name4 =  $wpdb->prefix . "juna_it_video_effect2";
	$table_name5 =  $wpdb->prefix . "juna_it_video_effect3";
	$table_name6 =  $wpdb->prefix . "juna_it_video_effect4";
	$table_name7 =  $wpdb->prefix . "juna_it_video_effect5";

	if($wpdb->get_var('SHOW TABLES LIKE' . $table_name) != $table_name)
	{
		$sql = 'CREATE TABLE IF NOT EXISTS ' .$table_name . '(
			id INTEGER(10) UNSIGNED AUTO_INCREMENT,
			gallery_title VARCHAR(255) NOT NULL,
			gallery_type VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Show_Video_Type VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Videos_Quantity INTEGER(10) NOT NULL,
			PRIMARY KEY  (id) )';

		$sql1 = 'CREATE TABLE IF NOT EXISTS ' .$table_name1 . '(
			id INTEGER(10) UNSIGNED AUTO_INCREMENT,
			video_title VARCHAR(255) NOT NULL, 
			video_description LONGTEXT NOT NULL,
			video_url VARCHAR(255) NOT NULL,
			gallery_number INTEGER(10) NOT NULL,
			image_url VARCHAR(255) NOT NULL,
			PRIMARY KEY  (id) )';

		$sql2 = 'CREATE TABLE IF NOT EXISTS ' .$table_name2 . '(
			id INTEGER(10) UNSIGNED AUTO_INCREMENT,
			Juna_IT_Video_Gallery_Video_Title_Background_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Title_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Box_Shadow_Video_Title_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Font_Size_Video_Title VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Font_Family_Video_Title VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Description_Background_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Description_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_First_Font_Size_Video_Description VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Font_Size_Video_Description VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Font_Family_Video_Description VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Height VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Border_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Border_Radius VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Border_Style VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Border_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Hover_Background_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Background_Transparency VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Choose_Buttons_Type VARCHAR(255) NOT NULL,
			PRIMARY KEY  (id) )';

		$sql3 = 'CREATE TABLE IF NOT EXISTS ' .$table_name3 . '(
			id INTEGER(10) UNSIGNED AUTO_INCREMENT,
			Font_family VARCHAR(255) NOT NULL,
			PRIMARY KEY  (id) )';

		$sql4 = 'CREATE TABLE IF NOT EXISTS ' .$table_name4 . '(
			id INTEGER(10) UNSIGNED AUTO_INCREMENT,
			Juna_IT_Video_Gallery_Video_Title_Background_Color1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Title_Color1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Font_Size_Video_Title1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Font_Family_Video_Title1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Title_Align VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Description_Background_Color1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Description_Color1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_First_Font_Size_Video_Description1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Font_Size_Video_Description1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Font_Family_Video_Description1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Description_Align VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Container VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Width1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Height1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Position VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Location VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Border_Width1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Border_Radius1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Border_Style1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Video_Border_Color1 VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Line_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Line_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Line_Style VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Pageination_Font_Size VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Pageination_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Pageination_Icons_Size VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Pageination_Icons_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Pageination_Position VARCHAR(255) NOT NULL,
			PRIMARY KEY  (id) )';
		
		$sql5 = 'CREATE TABLE IF NOT EXISTS ' .$table_name5 . '(
			id INTEGER(10) UNSIGNED AUTO_INCREMENT,
			Juna_IT_Video_Gallery_Thumbnails_Video_Title_Bg_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Title_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Title_Transparency_Hover VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Title_Font_Size VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Title_Font_Family VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Title_Line_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Title_Line_Style VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Title_Line_Text VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Pageination_Font_Size VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Pageination_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Pageination_Icons_Size VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Pageination_Icons_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Pageination_Position VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Image_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Image_Height VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Border_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Border_Radius VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Border_Style VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Border_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Thumbnails_Video_Icons VARCHAR(255) NOT NULL,
			PRIMARY KEY  (id) )';

		$sql6 = 'CREATE TABLE IF NOT EXISTS ' .$table_name6 . '(
			id INTEGER(10) UNSIGNED AUTO_INCREMENT,
			Juna_IT_Video_Gallery_Slider_Title_Background_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Title_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Title_Font_Size VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Title_Font_Family VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Title_Position VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Video_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Video_Height VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Background_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Border_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Border_Radius VARCHAR(255) NOT NULL,					
			Juna_IT_Video_Gallery_Slider_Border_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Position VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Pause_Time VARCHAR(255) NOT NULL,	
			Juna_IT_Video_Gallery_Slider_Border_Style VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Slider_Change_Speed VARCHAR(255) NOT NULL,		
			Juna_IT_Video_Gallery_Slider_Icons_Type VARCHAR(255) NOT NULL,
			PRIMARY KEY  (id) )';
		
		$sql7 = 'CREATE TABLE IF NOT EXISTS ' .$table_name7 . '(
			id INTEGER(10) UNSIGNED AUTO_INCREMENT,
			Juna_IT_Video_Gallery_Carousel_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Height VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Autoplay_Steps VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Slide_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Slide_Spacing VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Slide_Cols VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Arrows_Steps VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Position VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Pause_Time VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Change_Speed VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Background_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Video_Border_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Video_Border_Radius VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Video_Border_Style VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Video_Border_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Border_Width VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Border_Radius VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Border_Style VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Border_Color VARCHAR(255) NOT NULL,
			Juna_IT_Video_Gallery_Carousel_Icons_Type VARCHAR(255) NOT NULL,
			PRIMARY KEY  (id) )';

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		dbDelta($sql1);
		dbDelta($sql2);
		dbDelta($sql3);
		dbDelta($sql4);
		dbDelta($sql5);
		dbDelta($sql6);
		dbDelta($sql7);
		
		DefaultData();
	}
	function DefaultData()
	{
		global $wpdb;
		$table_name  =  $wpdb->prefix . "juna_it_gallery_manager";
		$table_name1 =  $wpdb->prefix . "juna_it_video_manager";
		$table_name2 =  $wpdb->prefix . "juna_it_video_effect1";
		$table_name3 =  $wpdb->prefix . "juna_it_font_family";
		$table_name4 =  $wpdb->prefix . "juna_it_video_effect2";
		$table_name5 =  $wpdb->prefix . "juna_it_video_effect3";
		$table_name6 =  $wpdb->prefix . "juna_it_video_effect4";
		$table_name7 =  $wpdb->prefix . "juna_it_video_effect5";
		
		$family = array('Abadi MT Condensed Light','Aharoni','Aldhabi','Andalus','Angsana New',' AngsanaUPC','Aparajita','Arabic Typesetting','Arial','Arial Black',
			'Batang','BatangChe','Browallia New','BrowalliaUPC','Calibri','Calibri Light','Calisto MT','Cambria','Candara','Century Gothic','Comic Sans MS','Consolas',
			'Constantia','Copperplate Gothic','Copperplate Gothic Light','Corbel','Cordia New','CordiaUPC','Courier New','DaunPenh','David','DFKai-SB','DilleniaUPC',
			'DokChampa','Dotum','DotumChe','Ebrima','Estrangelo Edessa','EucrosiaUPC','Euphemia','FangSong','Franklin Gothic Medium','FrankRuehl','FreesiaUPC','Gabriola',
			'Gadugi','Gautami','Georgia','Gisha','Gulim','GulimChe','Gungsuh','GungsuhChe','Impact','IrisUPC','Iskoola Pota','JasmineUPC','KaiTi','Kalinga','Kartika',
			'Khmer UI','KodchiangUPC','Kokila','Lao UI','Latha','Leelawadee','Levenim MT','LilyUPC','Lucida Console','Lucida Handwriting Italic','Lucida Sans Unicode',
			'Malgun Gothic','Mangal','Manny ITC','Marlett','Meiryo','Meiryo UI','Microsoft Himalaya','Microsoft JhengHei','Microsoft JhengHei UI','Microsoft New Tai Lue',
			'Microsoft PhagsPa','Microsoft Sans Serif','Microsoft Tai Le','Microsoft Uighur','Microsoft YaHei','Microsoft YaHei UI','Microsoft Yi Baiti','MingLiU_HKSCS',
			'MingLiU_HKSCS-ExtB','Miriam','Mongolian Baiti','MoolBoran','MS UI Gothic','MV Boli','Myanmar Text','Narkisim','Nirmala UI','News Gothic MT','NSimSun','Nyala',
			'Palatino Linotype','Plantagenet Cherokee','Raavi','Rod','Sakkal Majalla','Segoe Print','Segoe Script','Segoe UI Symbol','Shonar Bangla','Shruti','SimHei','SimKai',
			'Simplified Arabic','SimSun','SimSun-ExtB','Sylfaen','Tahoma','Times New Roman','Traditional Arabic','Trebuchet MS','Tunga','Utsaah','Vani','Vijaya');
		$Juna_IT_VGallery_Count_Fonts=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name3 WHERE id>%d",0));
		if(count($Juna_IT_VGallery_Count_Fonts)==0)
		{
			foreach ($family as $font_family) 
			{
				$wpdb->query($wpdb->prepare("INSERT INTO $table_name3 (id, Font_family) VALUES (%d, %s)", '', $font_family));
			}
		}
		$Juna_IT_VGallery_Count_VGN=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name WHERE id>%d",0));	
		if(count($Juna_IT_VGallery_Count_VGN)==0)
		{
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name (id, gallery_title, gallery_type, Juna_IT_Video_Gallery_Show_Video_Type, Juna_IT_Video_Gallery_Videos_Quantity) 
			VALUES (%d, %s, %s, %s, %d)", '', 'Video Gallery', 'Block Style Video Gallery', 'Pageination', 3));

			$JIT_VGGID=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name WHERE gallery_title=%s",'Video Gallery'));

			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, video_title, video_description, video_url, gallery_number, image_url) VALUES (%d, %s, %s, %s, %d, %s)", 
				'', 'Zootropolis - UK Trailer 1 - OFFICIAL Disney', 'The modern mammal metropolis of Zootropolis is a city like no other. Comprised of habitat neighborhoods like ritzy Sahara Square and frigid Tundratown, it’s a melting pot where animals from every environment live together—a place where no matter what you are, from the biggest elephant to the smallest shrew, you can be anything. But when optimistic Officer Judy Hopps (voice of Ginnifer Goodwin) arrives, she discovers that being the first bunny on a police force of big, tough animals isn’t so easy. Determined to prove herself, she jumps at the opportunity to crack a case, even if it means partnering with a fast-talking, scam-artist fox, Nick Wilde (voice of Jason Bateman), to solve the mystery. Walt Disney Animation Studios’ “Zootropolis,” a comedy-adventure directed by Byron Howard (“Tangled,” “Bolt”) and Rich Moore (“Wreck-It Ralph,” “The Simpsons”) and co-directed by Jared Bush (“Penn Zero: Part-Time Hero”), opens in cinemas on March 25, 2016.', 'https://www.youtube.com/embed/VCDQRy1od30', $JIT_VGGID[0]->id, 'http://img.youtube.com/vi/VCDQRy1od30/mqdefault.jpg'));
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, video_title, video_description, video_url, gallery_number, image_url) VALUES (%d, %s, %s, %s, %d, %s)", 
				'', 'Dubai City', 'Dubai is the most populous city in the United Arab Emirates (UAE). It is located on the southeast coast of the Persian Gulf and is one of the seven emirates that make up the country. Abu Dhabi and Dubai are the only two emirates to have veto power over critical matters of national importance in the country)*&*(s legislature. The city of Dubai is located on the emirate)*&*(s northern coastline and heads up the Dubai-Sharjah-Ajman metropolitan area. Dubai is to host World Expo 2020', 'https://www.youtube.com/embed/t5vta25jHQI', $JIT_VGGID[0]->id, 'http://img.youtube.com/vi/t5vta25jHQI/mqdefault.jpg'));
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, video_title, video_description, video_url, gallery_number, image_url) VALUES (%d, %s, %s, %s, %d, %s)", 
				'', 'Everest - Official Trailer', 'Inspired by the incredible events surrounding an attempt to reach the summit of the world’s highest mountain, Everest documents the awe-inspiring journey of two different expeditions challenged beyond their limits by one of the fiercest snowstorms ever encountered by mankind. Their mettle tested by the harshest elements found on the planet, the climbers will face nearly impossible obstacles as a lifelong obsession becomes a breathtaking struggle for survival. The epic adventure stars Jason Clarke, Josh Brolin, John Hawkes, Robin Wright, Michael Kelly, Sam Worthington, Keira Knightley, Emily Watson and Jake Gyllenhaal. Everest is directed by Baltasar Kormákur (2 Guns, Contraband) and produced by Working Title Films’ Tim Bevan and Eric Fellner, Cross Creek Pictures’ Brian Oliver and Tyler Thompson, as well as Nicky Kentish Barnes and Kormákur. Universal Pictures and Cross Creek Pictures’ presentation of Everest—in association with Walden Media—is adapted for the screen by William Nicholson (Gladiator) and Oscar® winner Simon Beaufoy (Slumdog Millionaire). The film was shot on location in Nepal on the foothills of Everest, the Italian Alps and at Cinecittà Studios in Rome and Pinewood Studios in the U.K. Universal will distribute Everest worldwide.', 'https://www.youtube.com/embed/5ZQVpPiOji0', $JIT_VGGID[0]->id, 'http://img.youtube.com/vi/5ZQVpPiOji0/mqdefault.jpg'));
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, video_title, video_description, video_url, gallery_number, image_url) VALUES (%d, %s, %s, %s, %d, %s)", 
				'', 'Lamborghini Aventador LP760', 'I have managed to film an extremely loud Lamborghini Aventador LP760-4 Roadster Novitec Torado during the Rallye Germania in the Nürburgring. When the cars enteringt the hotel, this amazing tuned Aventador shooting some very loud and huge flames!', 'https://www.youtube.com/embed/g_YToB10qUs', $JIT_VGGID[0]->id, 'http://img.youtube.com/vi/g_YToB10qUs/mqdefault.jpg'));
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, video_title, video_description, video_url, gallery_number, image_url) VALUES (%d, %s, %s, %s, %d, %s)", 
				'', 'Top 10 Goals So Far - 2015/16', 'A third of the season is complete, the Bundesliga is very much in full flow. There have been over 300 goals scored and we want to take a look at the best ones so far. Watch our selection of the top 10 and let us know in the comments if you think we)*&*(ve missed any out. The Official Bundesliga YouTube channel gives you access to clips from Germany)*&*(s football league that you won)*&*(t find anywhere else. Visit us at www.youtube.com/bundesliga to see what all the noise is about! Subscribe now!', 'https://www.youtube.com/embed/Jt09mVPqLqo', $JIT_VGGID[0]->id, 'http://img.youtube.com/vi/Jt09mVPqLqo/mqdefault.jpg'));
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, video_title, video_description, video_url, gallery_number, image_url) VALUES (%d, %s, %s, %s, %d, %s)", 
				'', 'Kung Fu Panda 3 Official Trailer', 'When Po)*&*(s long-lost panda father suddenly reappears, the reunited duo travels to a secret panda paradise to meet scores of hilarious new panda characters. But when the supernatural villain Kai begins to sweep across China defeating all the kung fu masters, Po must do the impossible—learn to train a village full of his fun-loving, clumsy brethren to become the ultimate band of Kung Fu Pandas! The Movieclips Trailers channel is your destination for the hottest new trailers the second they drop. Whether it)*&*(s the latest studio release, an indie horror flick, an evocative documentary, or that new RomCom you)*&*(ve been waiting for, the Movieclips team is here day and night to make sure all the best new movie trailers are here for you the moment they)*&*(re released. In addition to being the #1 Movie Trailers Channel on YouTube, we deliver amazing and engaging original videos each week. Watch our exclusive Ultimate Trailers, Showdowns, Instant Trailer Reviews, Monthly MashUps, Movie News, and so much more to keep you in the know. Here at Movieclips, we love movies as much as you!', 'https://www.youtube.com/embed/UgBWSPD6MUU', $JIT_VGGID[0]->id, 'http://img.youtube.com/vi/UgBWSPD6MUU/mqdefault.jpg'));
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name1 (id, video_title, video_description, video_url, gallery_number, image_url) VALUES (%d, %s, %s, %s, %d, %s)", 
				'', 'Minions Official Trailer', 'Gru is recruited by an organization to stop Scarlet Overkill, a super-villain who, alongside her inventor husband Herb, hatches a plot to take over the world. The Movieclips Trailers channel is your destination for the hottest new trailers the second they drop. Whether it)*&*(s the latest studio release, an indie horror flick, an evocative documentary, or that new RomCom you)*&*(ve been waiting for, the Movieclips team is here day and night to make sure all the best new movie trailers are here for you the moment they)*&*(re released. In addition to being the #1 Movie Trailers Channel on YouTube, we deliver amazing and engaging original videos each week. Watch our exclusive Ultimate Trailers, Showdowns, Instant Trailer Reviews, Monthly MashUps, Movie News, and so much more to keep you in the know. Here at Movieclips, we love movies as much as you!', 'https://www.youtube.com/embed/eisKxhjBnZ0', $JIT_VGGID[0]->id, 'http://img.youtube.com/vi/eisKxhjBnZ0/mqdefault.jpg'));
		}

		$Juna_IT_VGallery_E1=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name2 WHERE id>%d",0));	
		if(count($Juna_IT_VGallery_E1)==0)
		{
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name2 (id, Juna_IT_Video_Gallery_Video_Title_Background_Color, Juna_IT_Video_Gallery_Video_Title_Color, Juna_IT_Video_Gallery_Box_Shadow_Video_Title_Color, Juna_IT_Video_Gallery_Font_Size_Video_Title, Juna_IT_Video_Gallery_Font_Family_Video_Title, Juna_IT_Video_Gallery_Video_Description_Background_Color, Juna_IT_Video_Gallery_Video_Description_Color, Juna_IT_Video_Gallery_First_Font_Size_Video_Description, Juna_IT_Video_Gallery_Font_Size_Video_Description, Juna_IT_Video_Gallery_Font_Family_Video_Description, Juna_IT_Video_Gallery_Video_Width, Juna_IT_Video_Gallery_Video_Height, Juna_IT_Video_Gallery_Border_Width, Juna_IT_Video_Gallery_Border_Radius, Juna_IT_Video_Gallery_Border_Style, Juna_IT_Video_Gallery_Video_Border_Color, Juna_IT_Video_Gallery_Hover_Background_Color, Juna_IT_Video_Gallery_Background_Transparency, Juna_IT_Video_Gallery_Choose_Buttons_Type) 
			VALUES (%d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)", 
			'', '#7a7a7a', '#000000', '#000000', '14px', 'Arial', '#f5f5f5', '#424242', '14px', '10px', 'Arial', '260px', '185px', '3px', '7px', 'solid', '#7a7a7a', '#7a7a7a', '0.65', '8'));	
		}	
		$Juna_IT_VGallery_E2=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name4 WHERE id>%d",0));	
		if(count($Juna_IT_VGallery_E2)==0)
		{
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name4 (id, Juna_IT_Video_Gallery_Video_Title_Background_Color1, Juna_IT_Video_Gallery_Video_Title_Color1, Juna_IT_Video_Gallery_Font_Size_Video_Title1, Juna_IT_Video_Gallery_Font_Family_Video_Title1, Juna_IT_Video_Gallery_Title_Align, Juna_IT_Video_Gallery_Video_Description_Background_Color1, Juna_IT_Video_Gallery_Video_Description_Color1, Juna_IT_Video_Gallery_First_Font_Size_Video_Description1, Juna_IT_Video_Gallery_Font_Size_Video_Description1, Juna_IT_Video_Gallery_Font_Family_Video_Description1, Juna_IT_Video_Gallery_Description_Align, Juna_IT_Video_Gallery_Video_Container, Juna_IT_Video_Gallery_Video_Width1, Juna_IT_Video_Gallery_Video_Height1, Juna_IT_Video_Gallery_Video_Position, Juna_IT_Video_Gallery_Video_Location, Juna_IT_Video_Gallery_Border_Width1, Juna_IT_Video_Gallery_Border_Radius1, Juna_IT_Video_Gallery_Border_Style1, Juna_IT_Video_Gallery_Video_Border_Color1, Juna_IT_Video_Gallery_Line_Color, Juna_IT_Video_Gallery_Line_Width, Juna_IT_Video_Gallery_Line_Style, Juna_IT_Video_Gallery_Pageination_Font_Size, Juna_IT_Video_Gallery_Pageination_Color, Juna_IT_Video_Gallery_Pageination_Icons_Size, Juna_IT_Video_Gallery_Pageination_Icons_Color, Juna_IT_Video_Gallery_Pageination_Position) 
			VALUES (%d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)", 
			'', '#595959', '#ffffff', '13px', 'Arial', 'Left', '#ffffff', '#595959', '16px', '14px', 'Arial', 'Center', '100%', '600px', '336px', 'Center', 'Before Title', '4px', '10px', 'solid', '#000000', '#000000', '1px', 'dotted', '15px', '#000000', '17px', '#000000', 'Center'));
		}
		$Juna_IT_VGallery_E3=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name5 WHERE id>%d",0));	
		if(count($Juna_IT_VGallery_E3)==0)
		{
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name5 (id, Juna_IT_Video_Gallery_Thumbnails_Video_Title_Bg_Color, Juna_IT_Video_Gallery_Thumbnails_Video_Title_Color, Juna_IT_Video_Gallery_Thumbnails_Video_Title_Transparency_Hover, Juna_IT_Video_Gallery_Thumbnails_Video_Title_Font_Size, Juna_IT_Video_Gallery_Thumbnails_Video_Title_Font_Family, Juna_IT_Video_Gallery_Thumbnails_Video_Title_Line_Width, Juna_IT_Video_Gallery_Thumbnails_Video_Title_Line_Style, Juna_IT_Video_Gallery_Thumbnails_Video_Title_Line_Text, Juna_IT_Video_Gallery_Thumbnails_Pageination_Font_Size, Juna_IT_Video_Gallery_Thumbnails_Pageination_Color, Juna_IT_Video_Gallery_Thumbnails_Pageination_Icons_Size, Juna_IT_Video_Gallery_Thumbnails_Pageination_Icons_Color, Juna_IT_Video_Gallery_Thumbnails_Pageination_Position, Juna_IT_Video_Gallery_Thumbnails_Video_Image_Width, Juna_IT_Video_Gallery_Thumbnails_Video_Image_Height, Juna_IT_Video_Gallery_Thumbnails_Video_Border_Width, Juna_IT_Video_Gallery_Thumbnails_Video_Border_Radius, Juna_IT_Video_Gallery_Thumbnails_Video_Border_Style, Juna_IT_Video_Gallery_Thumbnails_Video_Border_Color, Juna_IT_Video_Gallery_Thumbnails_Video_Icons) 
			VALUES (%d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)", 
			'', '#595959', '#ffffff', '0.8', '12px', 'Aharoni', '1px', 'dashed', 'Watch Video', '20px', '#000000', '18px', '#595959', 'Center', '302px', '169px', '0px', '11px', 'solid', '#ffffff', '8'));
		}
		$Juna_IT_VGallery_E4=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name6 WHERE id>%d",0));	
		if(count($Juna_IT_VGallery_E4)==0)
		{
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name6 (id, Juna_IT_Video_Gallery_Slider_Title_Background_Color, Juna_IT_Video_Gallery_Slider_Title_Color, Juna_IT_Video_Gallery_Slider_Title_Font_Size, Juna_IT_Video_Gallery_Slider_Title_Font_Family, Juna_IT_Video_Gallery_Slider_Title_Position, Juna_IT_Video_Gallery_Slider_Video_Width, Juna_IT_Video_Gallery_Slider_Video_Height, Juna_IT_Video_Gallery_Slider_Background_Color, Juna_IT_Video_Gallery_Slider_Border_Width, Juna_IT_Video_Gallery_Slider_Border_Radius, Juna_IT_Video_Gallery_Slider_Border_Color, Juna_IT_Video_Gallery_Slider_Position, Juna_IT_Video_Gallery_Slider_Pause_Time, Juna_IT_Video_Gallery_Slider_Border_Style, Juna_IT_Video_Gallery_Slider_Change_Speed, Juna_IT_Video_Gallery_Slider_Icons_Type) 
			VALUES (%d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)", 
			'', '#595959', '#ffffff', '23px', 'Abadi MT Condensed Light', 'Center', '655px', '400px', '#595959', '0px', '1px', '#595959', '6%', '9s', 'solid', '1s', '7'));
		}
		$Juna_IT_VGallery_E5=$wpdb->get_results($wpdb->prepare("SELECT * FROM $table_name7 WHERE id>%d",0));	
		if(count($Juna_IT_VGallery_E5)==0)
		{
			$wpdb->query($wpdb->prepare("INSERT INTO $table_name7 (id, Juna_IT_Video_Gallery_Carousel_Width, Juna_IT_Video_Gallery_Carousel_Height, Juna_IT_Video_Gallery_Carousel_Autoplay_Steps, Juna_IT_Video_Gallery_Carousel_Slide_Width, Juna_IT_Video_Gallery_Carousel_Slide_Spacing, Juna_IT_Video_Gallery_Carousel_Slide_Cols, Juna_IT_Video_Gallery_Carousel_Arrows_Steps, Juna_IT_Video_Gallery_Carousel_Position, Juna_IT_Video_Gallery_Carousel_Pause_Time, Juna_IT_Video_Gallery_Carousel_Change_Speed, Juna_IT_Video_Gallery_Carousel_Background_Color, Juna_IT_Video_Gallery_Carousel_Video_Border_Width, Juna_IT_Video_Gallery_Carousel_Video_Border_Radius, Juna_IT_Video_Gallery_Carousel_Video_Border_Style, Juna_IT_Video_Gallery_Carousel_Video_Border_Color, Juna_IT_Video_Gallery_Carousel_Border_Width, Juna_IT_Video_Gallery_Carousel_Border_Radius, Juna_IT_Video_Gallery_Carousel_Border_Style, Juna_IT_Video_Gallery_Carousel_Border_Color, Juna_IT_Video_Gallery_Carousel_Icons_Type) 
			VALUES (%d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)", 
			'', '801px', '155px', '1', '180', '25', '4', '1', '3%', '4s', '0.9s', '#595959', '10px', '16px', 'solid', '#595959', '5px', '20px', 'solid', '#595959', '7'));
		}		
	}
?>